export interface IShellLaunchConfig {
    name?: string | null;
    executable?: string | null;
    args?: Array<string | null> | null;
    cwd?: string | null;
    ignoreConfigurationCwd?: boolean | null;
    waitOnExit?: boolean | null;
}
export interface ITerminalDimension {
    width?: number | null;
    height?: number | null;
}
export interface ITerminalInstanceInput {
    id?: number | null;
    processId?: number | null;
    title?: string | null;
}
export interface createInstanceMutationVariables {
    shell?: IShellLaunchConfig | null;
    dimension?: ITerminalDimension | null;
}
export interface createInstanceMutation {
    createInstance: {
        id: number | null;
        processId: number | null;
        title: string | null;
    } | null;
}
export interface deleteInstanceMutationVariables {
    id?: number | null;
}
export interface deleteInstanceMutation {
    deleteInstance: boolean | null;
}
export interface sendTextMutationVariables {
    id?: number | null;
    text?: string | null;
    addNewLine?: boolean | null;
}
export interface sendTextMutation {
    sendText: {
        id: number | null;
        msg: string | null;
    } | null;
}
export interface setActiveInstanceMutationVariables {
    terminalInstance?: ITerminalInstanceInput | null;
}
export interface setActiveInstanceMutation {
    setActiveInstance: {
        id: number | null;
        processId: number | null;
        title: string | null;
    } | null;
}
export interface setInstanceSizeMutationVariables {
    id?: number | null;
    dimension?: ITerminalDimension | null;
}
export interface setInstanceSizeMutation {
    setInstanceSize: boolean | null;
}
export interface getActiveInstanceQuery {
    getActiveInstance: {
        id: number | null;
        processId: number | null;
        title: string | null;
    } | null;
}
export interface terminalInstancesQuery {
    terminalInstances: Array<{
        id: number | null;
        processId: number | null;
        title: string | null;
    } | null> | null;
}
export interface terminalDataSubscriptionVariables {
    id: number;
}
export interface terminalDataSubscription {
    terminalData: {
        id: number | null;
        msg: string | null;
    } | null;
}
